Chromium Code Reviews
Help | Chromium Project | Sign in
(557)

Issue 11365078: Add WebKit bugzilla/git search to my_activity.py (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 5 months ago by enne
Modified:
2 years, 5 months ago
Reviewers:
cmp, cjhopman
CC:
chromium-reviews, Dirk Pranke, cmp+cc_chromium.org, M-A Ruel
Visibility:
Public.

Description

Add WebKit bugzilla/git search to my_activity.py This is unfortunately imperfect in a number of ways: * Needs to get info from git commits, so needs a local WebKit git repo, and an explicit option to find it. * Bugzilla doesn't return nearly as much information as other bug servers, and individual issues would have to be hit (and parsed) to get it. * Searching for comments includes any issue ever commented on that was changed over the time period requested, so may have false positives. * Reviews themselves can't be searched from Bugzilla, so can only be detected as "reviews" once landed and "issues" until then. BUG=158993 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=166100

Patch Set 1 #

Patch Set 2 : Parse WebKit git logs too #

Total comments: 8

Patch Set 3 : Address review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+273 lines, -0 lines) Patch
M my_activity.py View 1 2 12 chunks +273 lines, -0 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 7 (0 generated)
enne
2 years, 5 months ago (2012-11-03 06:15:07 UTC) #1
cjhopman
This is great, multiple people had requested WebKit integration (there's a bug filed at crbug.com/158933). ...
2 years, 5 months ago (2012-11-04 16:32:03 UTC) #2
enne
On 2012/11/04 16:32:03, cjhopman wrote: > Are all bugs on WebKit's buganizer public, or are ...
2 years, 5 months ago (2012-11-04 23:35:47 UTC) #3
cjhopman
lgtm.
2 years, 5 months ago (2012-11-05 15:38:34 UTC) #4
cmp
lgtm
2 years, 5 months ago (2012-11-05 22:16:50 UTC) #5
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/enne@chromium.org/11365078/5001
2 years, 5 months ago (2012-11-06 01:09:00 UTC) #6
I haz the power (commit-bot)
2 years, 5 months ago (2012-11-06 01:11:41 UTC) #7
Change committed as 166100
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e0e3771